Bug 18194 - Definition of .properties does not match implementation reality
Definition of .properties does not match implementation reality
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML Microdata (editor: Ian Hickson)
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:37 UTC by contributor
Modified: 2013-02-16 21:59 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:37:59 UTC
This was was cloned from bug 17195 as part of operation convergence.
Originally filed: 2012-05-25 19:33:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-25 19:33:00 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/microdata.html
Multipage: http://www.whatwg.org/C#microdata-dom-api
Complete: http://www.whatwg.org/c#microdata-dom-api

Comment:
Definition of .properties does not match implementation reality

Posted from: 71.184.125.56 by bzbarsky@mit.edu
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/15.0 Firefox/15.0a1
================================================================================
 #1   Boris Zbarsky                                   2012-05-25 19:35:18 +0000 
--------------------------------------------------------------------------------
Specifically, this part:

  The properties IDL attribute on HTML elements must return an
  HTMLPropertiesCollection rooted at the Document node

combined with the fact that all the properties are in the element's home subtree would mean that elements that are not in the document should always have an empty .properties.

That doesn't seem to be terribly useful, and as far as I can tell Opera doesn't implement that.  Neither does the upcoming Gecko implementation.

See upcoming testcase: it would alert 0, then 2, if the spec was actually followed here.  In Opera it alerts 1, then 2.
================================================================================
Comment 1 Silvia Pfeiffer 2013-02-16 21:59:34 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description:
https://github.com/w3c/html/commit/8460bb76aad1c4a9742e34517b85fb09050725c3
https://github.com/w3c/html/commit/dc6b5fbf21400b0be1d2fc226597dc4d81443691

Rationale: Accepted WHATWG resolution, matches implemented reality in Opera and Firefox.